Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Installeren niet meer mogelijk. [Opgelost]  (gelezen 1989 keer)

Offline t1m

  • Lid
  • Steunpunt: Nee
Installeren niet meer mogelijk. [Opgelost]
« Gepost op: 2011/03/15, 01:50:42 »
Ik draai Ubuntu 10.10 maar de laatste tijd kan ik niks meer installeren. Ik krijg een foutmelding dat het aan gebroken paketten moet liggen, maar het lukt mij maar niet om deze te repareren. Dit is wat ik heb geprobeerd:

Wanneer ik in het Ubuntu software centrum programma's wil installeren krijg ik een foutmelding.
Pakketafhankelijkheden kunnen niet opgelost worden.

En

Items kunnen niet worden geinstalleerd of verwijderd totdat de pakkettencatalogus is gerepareerd. Wilt u die nu repareren?
Wanneer ik kies voor repareren gebeurt er eigenlijk niks.

Wanneer ik synaptic open --> bewerken --> gebroken pakketten repareren gebeurt er ook niks.
In synaptic --> speciale filters --> gebroken krijg ik 3 pakketten namelijk: manpages-pl, wajig, xserver-xorg-video-amd. Als ik wajig - simplified Debian package management front end- wil markeren voor installatie staat er: Kan niet alle pakketten markeren voor installatie of bijwerken. En.  Vereisten: dselect  but it is not installable

In een terminal bij de command:
 sudo dpkg --configure -a Geen reactie
sudo apt-get -f install 0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.
sudo apt-get update && sudo apt-get upgrade 0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.

Hopelijk kunnen jullie me helpen,

Tim




« Laatst bewerkt op: 2011/03/16, 18:06:59 door t1m »

Offline Roc.am

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #1 Gepost op: 2011/03/15, 02:05:44 »
Welkom aan boord t1m.

Probeer eens via toepassingen -> Hulpmiddelen -> Terminalvenster
en dan intypen: sudo apt-get -f install
enter
paswoord intypen (je ziet niets, ook geen sterretjes of zo)
enter

- Roc

[Edit] je kunt ook nog het volgende proberen:

http://forum.ubuntu-nl.org/software-en-configuratie/hardnekkige-gebroken-pakketten/msg469894/#msg469894
« Laatst bewerkt op: 2011/03/15, 02:09:29 door Roc.am »
Is je vraag opgelost? Markeer het als [OPGELOST] in de titel van je bericht!

Offline t1m

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #2 Gepost op: 2011/03/15, 04:55:37 »
Dankjewel het is inderdaad mijn eerste post, alhoewel ik al vaker geholpen ben door dit forum te raadplegen  :)
Dit is het volledige antwoord wanneer ik sudo apt-get -f install invoer in het terminal venster:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.


De link die jij gaf daar was ik ook al langs gekomen, het heeft jammer genoeg niet geholpen. Wanneer ik opstart via de recovery mode en kies voor repair broken packages wordt er geen fout geconstateerd.

Offline Drummies

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #3 Gepost op: 2011/03/15, 07:13:03 »
Open Synaptic Pakketbeheer en klik op Systeem bijwerken en vervolgens op herladen.
Alle bij te werken Pakketten worden dan gemarkeerd en d.m.v herladen worden e.v.t Updates gedownload
Gestopt als aktief Forumlid 17/10/2011

Offline t1m

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #4 Gepost op: 2011/03/15, 14:14:45 »
Wanneer ik Synaptic --> Systeem bijwerken --> herladen doe, dan lijkt het erop dat synaptic 5 pakketten probeert binnen te halen, maar dit lukt echter niet ik denk omdat hij deze pakketten ook niet kan installeren. Elke keer wanneer ik deze stap herhaal probeert hij deze 5 pakketten binnen te halen. Ik kan ook niet kijken welke pakketten het zijn aangezien het scherm maar 1 seconden in beeld is krijg ik niet de mogelijkheid om op details te klikken.

Offline overdenkamp

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #5 Gepost op: 2011/03/15, 20:22:25 »
Type eens in in een terminalsudo apt-get update
sudo apt-get upgrade

Wat verschijnt er? Kopieer en plak eventueel het resultaat.

Offline t1m

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #6 Gepost op: 2011/03/16, 14:05:07 »
sudo apt-get update
Geraakt http://archive.ubuntu.com maverick Release.gpg
Genegeerd http://archive.ubuntu.com/ubuntu/ maverick/universe Translation-en
Geraakt http://archive.ubuntu.com/ubuntu/ maverick/universe Translation-nl
Geraakt http://archive.ubuntu.com maverick Release
Geraakt http://archive.ubuntu.com maverick/universe i386 Packages
Pakketlijsten worden ingelezen... Klaar


Dit zullen wel die 5 pakketten zijn die ik dus niet kan installeren?

sudo apt-get upgrade
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
0 pakketten opgewaardeerd, 0 pakketten nieuw geïnstalleerd, 0 te verwijderen en 0 niet opgewaardeerd.


upgraden lukt dus niet blijkt hieruit?

Offline petervs

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #7 Gepost op: 2011/03/16, 14:32:09 »
Nee, dat blijkt daar niet uit.

Kun je even nakijken of je het volgende hebt ingesteld bij: Systeem-Beheer-Softwarebronnen:
1. Ubuntu-software: 4 vinkjes bij main, universe, restricted en multiverse
2. Overige software: vinkje bij: partners van Canonical
3. Updates:  2 vinkjes bij: maverick-security en Maverick-updates
Ubuntu MATE 16.04

Offline t1m

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #8 Gepost op: 2011/03/16, 15:45:38 »
Held! Installeren lukt weer, hij moest iets van 40 updates uitvoeren nadat ik dat allemaal had aangevinkt.
Nog 2 dingen voordat ik opgelost in de titel kan zetten:

2. Overige software: vinkje bij: partners van Canonical
Deze stap kon ik niet doen aangezien ik niks aan kon vinken onder het tabblad overige software. Maakt dit uit?

Moet ik dit alles weer uit zetten nu het werkt, of is het juist prima dat ik al die softwarebronnen binnenhaal?


Offline petervs

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk.
« Reactie #9 Gepost op: 2011/03/16, 16:59:44 »
Partners van canonical is optioneel, hoeft absoluut niet. Wel vreemd dat je die niet kunt aanvinken.

Al de instellingen bij Softwarebronnen nu verder zo laten (dus met de aangevinkte opties), dit zijn wel de basisinstellingen.
Ubuntu MATE 16.04

Offline t1m

  • Lid
  • Steunpunt: Nee
Re: Installeren niet meer mogelijk. [Opgelost]
« Reactie #10 Gepost op: 2011/03/16, 18:11:18 »
Ja overige software is helemaal leeg, ik kan wel een APT-regel toevoegen of een Volume toevoegen.
Vreemd trouwens dat die basisinstellingen bij mij dan gewijzigd zijn, ik weet zeker dat ik deze niet verandert heb. Software bronnen stond bij mij niet eens in het menu van beheer, deze moest ik via systeem --> voorkeuren --> hoofdmenu zelf eerst toevoegen.

Maar goed, in ieder geval bedankt!